# optimsimplex_setnbve

Sets the number of vertices of the simplex.

## Calling Sequence

                opt = optimsimplex_setnbve(opt, nbve)

## Argument

opt

  The current simplex object of TSIMPLEX type (tlist).

nbve

  An integer, the number of vertices.

## Description

The `optimsimplex_setnbve` function sets the number of vertices of the simplex.

## Example

        s1 = optimsimplex_new ();
        s1 = optimsimplex_setn(s1, 1);
        s1 = optimsimplex_setnbve(s1, 2);
        s1 = optimsimplex_setx(s1,1,0.0);
        s1 = optimsimplex_setfv(s1,1,5.0);
        s1 = optimsimplex_setx(s1,2,1.0);
        s1 = optimsimplex_setfv(s1,2,4.0);
        s1 = optimsimplex_destroy(s1);

## See Also

- optimsimplex_getnbve